## mafw-shared 0.1.2009.38-1+0m5

=== debian/changelog ===
mafw-shared (0.1.2009.38-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kellokoski <ext-juha.kellokoski@nokia.com>  Thu, 17 Sep 2009 09:45:20 +0300

mafw-shared (0.1.2009.38-1) unstable; urgency=low

  * MAFW Sales RC11.

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 16 Sep 2009 12:14:07 +0300

mafw-shared (0.1.2009.37-2) unstable; urgency=low

  * MAFW Sales RC8.

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 11 Sep 2009 14:00:00 +0300

mafw-shared (0.1.2009.37-1) unstable; urgency=low

  * MAFW Sales RC6.

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 10 Sep 2009 12:30:00 +0300

mafw-shared (0.1.2009.35-3) unstable; urgency=low

  * MAFW Sales RC4.

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 25 Aug 2009 14:15:34 +0300

mafw-shared (0.1.2009.35-2) unstable; urgency=low

  * First MAFW Sales RC.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Fri, 21 Aug 2009 16:42:42 +0300

mafw-shared (0.1.2009.35-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.35-1
  * Increased the priority of the mafw-gst-renderer.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Thu, 20 Aug 2009 17:45:04 +0300

mafw-shared (0.1.2009.33-3) unstable; urgency=low

  * Version increased.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 10 Aug 2009 23:00:54 +0300

mafw-shared (0.1.2009.33-2) unstable; urgency=low

  * Version increased for pre-release, making sure there are no ABI breaks.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 10 Aug 2009 12:27:39 +0300

mafw-shared (0.1.2009.33-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.33-1
  * Do not build the tests in ARMEL.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Wed, 05 Aug 2009 12:36:06 +0300

mafw-shared (0.1.2009.32-1) unstable; urgency=low

  * MAFW, pre-release 0.1.2009.32-1

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Sun, 02 Aug 2009 22:32:22 +0300

mafw-shared (0.1.2009.30-3) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.30-3

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 22 Jul 2009 14:00:00 +0300

mafw-shared (0.1.2009.30-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.30-2

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 22 Jul 2009 14:00:00 +0300

mafw-shared (0.1.2009.30-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.30-1
  * Fixes: NB#128630 - Cannot remove playlist on renderer crash

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 17 Jul 2009 14:00:00 +0300

mafw-shared (0.1.2009.28-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.28-2
  * Changed signature in updating function/signal.

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 07 Jul 2009 14:00:00 +0300

mafw-shared (0.1.2009.28-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.28-1
  * Fixed playlist leaks
  * Fixed coverity issue #13109.
    * Patch provided by Antía Puentes Felpeto.
  * Adding a missing check.

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 03 Jul 2009 11:00:00 +0300

mafw-shared (0.1.2009.27-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.27-2

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 30 Jun 2009 14:00:00 +0300

mafw-shared (0.1.2009.27-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.27-1

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 25 Jun 2009 13:40:00 +0300

mafw-shared (0.1.2009.26-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.26-1
  * Added a new function to get the source's updating progress
    (mafw_source_get_update_progress).

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 23 Jun 2009 14:33:24 +0300

mafw-shared (0.1.2009.25-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.25-2
  * Added unit tests for updating signal.
  * Handle update signal in mafw-shared component.

 -- Juha Kellokoski <veitikka6@gmail.com>  Mon, 15 Jun 2009 14:00:00 +0300

mafw-shared (0.1.2009.25-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.25-1

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 12 Jun 2009 11:00:00 +0300

mafw-shared (0.1.2009.24-3) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.24-3

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 10 Jun 2009 11:00:00 +0300

mafw-shared (0.1.2009.24-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.24-2
  * Added "mafw_renderer_get_current_metadata" function to the API.

 -- Juha Kellokoski <veitikka6@gmail.com>  Mon, 08 Jun 2009 11:00:00 +0300

mafw-shared (0.1.2009.24-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.24-1
  * Fixes: NB#119594 - Memory corruption code in mafw-shared
  * Do not call glib main loop functions from signal handler.

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 04 Jun 2009 10:00:00 +0300

mafw-shared (0.1.2009.23-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.23-2

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 02 Jun 2009 12:00:00 +0300

mafw-shared (0.1.2009.23-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.23-1
  * Do not register NULL playlists.
  * Fix unit tests.
  * Don't duplicate pidx and iidx when duplicating an unshuffled playlist.
  * Use an array of indexed to speed up looking for elements in playlist-order
    array (pidx).

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 29 May 2009 10:30:00 +0300

mafw-shared (0.1.2009.22-3) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.22-3

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 27 May 2009 10:30:00 +0300

mafw-shared (0.1.2009.22-2) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.22-2
  * CID 13109

 -- Juha Kellokoski <veitikka6@gmail.com>  Mon, 25 May 2009 12:21:24 +0300

mafw-shared (0.1.2009.22-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.22-1
  * CID 237
  * CID 612
  * CID 13332
  * CID 15637

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 22 May 2009 12:00:00 +0300

mafw-shared (0.1.2009.21-4) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.21-4

