## mafw-shared 0.1.2009.42-1+0m5

=== debian/changelog ===
mafw-shared (0.1.2009.42-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika tapojarvi <ext-mika.tapojarvi@nokia.com>  Thu, 15 Oct 2009 14:13:26 +0300

mafw-shared (0.1.2009.42-1) unstable; urgency=low

  * Version and changelog updated for pre-release 0.2009.42-1
  * Fixes: NB#140927 - Media Player - Radio stations are not sorted correctly if bookmark starts with a special character
  * Fixes: NB#139820 - Use-Time:mafw-dbus-wrapper wakes up after pausing the local audio playback.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 12 Oct 2009 17:28:41 +0300

mafw-shared (0.1.2009.40-1) unstable; urgency=low

  * Version and changelog updated for pre-release 0.2009.40-1
  * PR_1_1_baseline copied from trunk.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Sun, 04 Oct 2009 15:50:05 +0300

mafw-shared (0.1.2009.39-1) unstable; urgency=low

  * MAFW Shared, pre-release 0.2009.39-1
  * Fixed small memory leaks.
    * Patch by Juan Suárez Romero.

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 18 Sep 2009 14:21:32 +0300
