=== debian/rules ===
--- 
+++ 
@@ -87,8 +87,6 @@
 	dh_installdirs
 	dh_install --sourcedir=debian/tmp
 	dh_installchangelogs -a
-	install debian/mafw-dbus-daemon.mafw.xsession \
-		debian/mafw-dbus-daemon/etc/X11/Xsession.post/32mafw
 	dh_installdocs
 	dh_strip -plibmafw-shared0 -plibmafw-shared0-dev \
 		--dbg-package=libmafw-shared0-dbg
@@ -99,7 +97,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V
+	dh_makeshlibs -plibmafw-shared0 -V"libmafw-shared0 (>= 0.1.2009.38)"
 	dh_shlibdeps -L libmafw-shared0
 	dh_installdeb
 	dh_gencontrol
