## mafw-shared 0.3.2010.36-1+0m5

=== debian/changelog ===
mafw-shared (0.3.2010.36-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.3.2010.36-1+0m5

 -- Pekka Ronkko <ext-pekka.1.ronkko@nokia.com>  Thu, 09 Sep 2010 16:23:05 +0300

mafw-shared (0.3.2010.36-1) unstable; urgency=low

  * Fixes: NB#189290 -  mediaplayer-ECD3-11-2203: Segfaults on m3u playlist with more than 32 mp3 files

 -- Pekka Rönkkö <ext-pekka.1.ronkko@nokia.com>  Wed, 08 Sep 2010 13:06:44 +0200
